Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm trying to install php 5.3.x on Suse/linux platform, but whenever I install and check it with phpinfo(); it shows php 5.2.

Any idea how to deal with it? please provide the detailed instructions. Thanks

BTW: I'm using Amazon EC2 with SUSE as its operating system image.

share|improve this question

migrated from stackoverflow.com Nov 2 '11 at 8:15

This question came from our site for professional and enthusiast programmers.

3 Answers 3

The latest version of SUSE should have PHP 5.3 by default, however maybe you're running an older version?

If so, you'd probably be best off compiling from source. Get the download from here and follow the instructions on how to compile and install.

share|improve this answer

It's possible that 5.2 was installed by default, and your 5.3 was installed to a different location. Check the install location of your 5.3 version, and make sure that's the default that Apache's using.

share|improve this answer

See here for a complete upgrade path: http://gnuski.blogspot.fr/2012/05/suse-enterprise-111-installing-php-53.html

I just tested this on a SuSE 11 SP1 and it seems to work.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.